Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Interface TemporalDatum

All Superinterfaces:
  Datum, IdentifiedObject

    @UML(identifier="CD_TemporalDatum",
         specification=ISO_19111)
    public interface TemporalDatum

extends Datum

A temporal datum defines the origin of a temporal coordinate reference system.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface Datum
`ANCHOR_POINT_KEY, DOMAIN_OF_VALIDITY_KEY, REALIZATION_EPOCH_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`InternationalString` | `getAnchorPoint()` This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.
`Date` | `getOrigin()` The date and time origin of this temporal datum.
`Date` | `getRealizationEpoch()` This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.

Methods inherited from interface Datum
`getDomainOfValidity, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getOrigin

    @UML(identifier="origin",
         obligation=MANDATORY,
         specification=ISO_19111)
    Date getOrigin()

  The date and time origin of this temporal datum.

  Returns:
    The date and time origin of this temporal datum.

### getAnchorPoint

    @UML(identifier="anchorPoint",
         obligation=FORBIDDEN,
         specification=ISO_19111)
    InternationalString getAnchorPoint()

  This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.

  Specified by:
    `getAnchorPoint` in interface `Datum`
  Returns:
    Always `null`.

### getRealizationEpoch

    @UML(identifier="realizationEpoch",
         obligation=FORBIDDEN,
         specification=ISO_19111)
    Date getRealizationEpoch()

  This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.

  Specified by:
    `getRealizationEpoch` in interface `Datum`
  Returns:
    Always `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.